Loading...
Searching...
No Matches
dolfin::Facet Class Reference

A Facet is a MeshEntity of topological codimension 1. More...

`#include <Facet.h>`

Inheritance diagram for dolfin::Facet:
[legend]
Collaboration diagram for dolfin::Facet:
[legend]

## Public Member Functions

| Facet (const Mesh &mesh, std::size_t index)
| Constructor.
| ~Facet ()
| Destructor.
double | normal (std::size_t i) const
| Compute component i of the normal to the facet.
Point | normal () const
| Compute normal to the facet.
double | squared_distance (const Point &point) const
double | distance (const Point &point) const
bool | exterior () const
Public Member Functions inherited from dolfin::MeshEntity
| MeshEntity ()
| Default Constructor.
| MeshEntity (const Mesh &mesh, std::size_t dim, std::size_t index)
virtual | ~MeshEntity ()
| Destructor.
void | init (const Mesh &mesh, std::size_t dim, std::size_t index)
bool | operator== (const MeshEntity &e) const
bool | operator!= (const MeshEntity &e) const
const Mesh & | mesh () const
std::size_t | dim () const
std::size_t | index () const
std::int64_t | global_index () const
std::size_t | num_entities (std::size_t dim) const
std::size_t | num_global_entities (std::size_t dim) const
const unsigned int * | entities (std::size_t dim) const
std::size_t | mesh_id () const
bool | incident (const MeshEntity &entity) const
std::size_t | index (const MeshEntity &entity) const
Point | midpoint () const
bool | is_ghost () const
std::set< unsigned int > | sharing_processes () const
bool | is_shared () const
unsigned int | owner () const
std::string | str (bool verbose) const

## Additional Inherited Members

Protected Attributes inherited from dolfin::MeshEntity
Mesh const * | _mesh
std::size_t | _dim
std::size_t | _local_index

## Detailed Description

A Facet is a MeshEntity of topological codimension 1.

## Member Function Documentation

## distance()

double dolfin::Facet::distance | ( | const Point & | point | ) | const

inline

Compute distance to given point.

Parameters

  point | (Point) The point.

Returns
  double The distance to the point.

## exterior()

bool Facet::exterior | ( |  | ) | const

Return true if facet is an exterior facet (relative to global mesh, so this function will return false for facets on partition boundaries). Facet connectivity must be initialized before calling this function.

## squared_distance()

double Facet::squared_distance | ( | const Point & | point | ) | const

Compute squared distance to given point.

Parameters

  point | (Point) The point.

Returns
  double The squared distance to the point.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/Facet.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/Facet.cpp